StorTools 4.1 111774-01 patch Release Notes

Part Number: 816-1180-10
September 9, 2001

READ BEFORE USING THIS REVISION

The Release Notes contain information specific to this 
revision. This information is not elsewhere in the 
product documentation set.

The Release Notes for this product are on the product media. 
You can print them as you would any other ASCII file.


Copyright 2001 Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, CA 94303 USA. All rights reserved. 

This product or document is protected by copyright and distributed 
under licenses restricting its use, copying, distribution, and 
decompilation. No part of this product or document may be reproduced 
in any form by any means without prior written authorization of Sun 
and its licensors, if any. Third-party software, including font 
technology, is copyrighted and licensed from Sun suppliers.

Parts of the product may be derived from Berkeley BSD systems, licensed 
from the University of California. UNIX is a registered trademark in 
the U.S. and other countries, exclusively licensed through X/Open 
Company,  Ltd.

Sun, Sun Microsystems, the Sun logo, AnswerBook, Sun StorEdge, Sun
StorTools, Sun StorEdge T3, and Solaris  are trademarks, registered 
trademarks, or service marks of Sun Microsystems, Inc. in the U.S. 
and other countries. All SPARC trademarks are used under license 
and are trademarks or registered trademarks of SPARC International, 
Inc. in the U.S. and  other countries. Products bearing SPARC 
trademarks are based upon an architecture developed by Sun 
Microsystems, Inc.

The OPEN LOOK and Sun(TM) Graphical User Interface was developed by 
Sun Microsystems, Inc. for its users and licensees. Sun acknowledges the 
pioneering efforts of Xerox in researching and developing the concept of 
visual or graphical user interfaces for the computer industry. Sun holds 
a non-exclusive license from Xerox to the Xerox Graphical User Interface, 
which license also covers Sun's licensees who implement OPEN LOOK 
GUIs and otherwise comply with Sun's written license agreements.

RESTRICTED RIGHTS: Use, duplication, or disclosure by the U.S. Government 
is subject to restrictions of FAR 52.227-14(g)(2)(6/87) and FAR 
52.227-19(6/87), or DFAR 252.227-7015(b)(6/95) and DFAR 227.7202-3(a).

DOCUMENTATION  IS PROVIDED "AS IS" AND ALL EXPRESS OR IMPLIED CONDITIONS, 
REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, 
ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH DISCLAIMERS ARE HELD TO 
BE LEGALLY INVALID.

---------------------------------------------------------------------------

Copyright 2001 Sun Microsystems, Inc., 901 San Antonio Road, 
Palo Alto, CA 94303 Etats-Unis. Tous droits reserves. 

Ce produit ou document est protege par un  copyright et distribue avec des 
licences qui en restreignent l'utilisation, la copie, la distribution, 
et la decompilation. Aucune partie de ce produit ou document ne peut etre 
reproduite sous aucune forme, par quelque moyen que ce soit, sans 
l'autorisation prealable et ecrite de Sun et de ses bailleurs de licence, 
s'il y en a. Le logiciel detenu par des tiers, et qui comprend la 
technologie relative aux polices de caracteres, est protege par un 
copyright et licencie par des fournisseurs de Sun.

Des parties de ce produit pourront etre derivees des systemes  
Berkeley BSD licencies par l'Universite de Californie. UNIX est une 
marque deposee  aux Etats-Unis et dans d'autres pays et licenciee 
exclusivement par X/Open Company,  Ltd. 

Sun, Sun Microsystems, le logo Sun, AnswerBook, Sun StorEdge, Sun 
StorTools, Sun StorEdge T3, et Solaris  sont des marques de fabrique 
ou des marques deposees, ou marques de service, de Sun Microsystems, Inc. 
aux Etats-Unis et dans d'autres pays. Toutes les marques SPARC sont 
utilisees sous licence et sont des marques de fabrique ou des marques
deposees de SPARC International, Inc. aux Etats-Unis et dans d'autres 
pays.  Les produits portant les marques SPARC sont bases sur une 
architecture developpee par Sun Microsystems, Inc.

L'interface d'utilisation graphique OPEN LOOK et Sun(TM) a ete 
developpee par Sun Microsystems, Inc. pour ses utilisateurs et licencies. 
Sun reconnait les efforts de pionniers de Xerox pour la recherche et le 
developpement du concept des interfaces d'utilisation visuelle ou 
graphique pour l'industrie de l'informatique. Sun detient une licence 
non exclusive de Xerox sur l'interface d'utilisation graphique Xerox, 
cette licence couvrant egalement  les licencies de Sun qui mettent en 
place l'interface d'utilisation graphique OPEN LOOK et qui en outre se 
conforment aux licences ecrites de Sun.

CETTE PUBLICATION EST FOURNIE "EN L'ETAT" ET AUCUNE GARANTIE, 
EXPRESSE OU IMPLICITE, N'EST ACCORDEE, Y COMPRIS DES GARANTIES 
CONCERNANT LA VALEUR MARCHANDE, L'APTITUDE DE LA PUBLICATION 
A REPONDRE A UNE UTILISATION PARTICULIERE, OU LE FAIT 
QU'ELLE NE SOIT PAS CONTREFAISANTE DE PRODUIT DE TIERS. 
CE DENI DE GARANTIE NE S'APPLIQUERAIT PAS, DANS LA MESURE 
OU IL SERAIT TENU JURIDIQUEMENT NUL ET NON AVENU.

---------------------------------------------------------------------------

DOCUMENT STRUCTURE
==================
These Release Notes contain the following sections:

o Introduction
o Audience
o Document Structure
o Deliverables
o Related Documentation
o Qualified Platforms
o New Features
o Enhancements
o Product Hints
o Known Problems
o Test Summary
o Resolved Problems
o Unresolved Problems
o Media Contents


INTRODUCTION
============

The Sun StorEdge(TM) StorTools(TM) provides diagnostic support for 
troubleshooting Sun StorEdge disk array installations.  
The StorTools package provides a graphical interface enabling the user 
to view and diagnose the system Sun StorEdge fibre channel-arbitrated 
loop (FC-AL) devices.


AUDIENCE
========
The StorTools package is for use by system administrators and 
Sun support personnel who are already familiar with Sun's disk 
array products.


DELIVERABLES
============
Documentation Delivered With This Product
-----------------------------------------
The following documentation is delivered with this product:

Application     Title
-----------     -----
Man Pages       a3500fctest(1m)
                a5ksestest(1m)
                a5ktest(1m)
                dex(1m)
                discman(1m)
                fcdisktest(1m)
                fctapetest(1m)
                ifptest(1m)
                lbf(1m)
                qlctest(1m)
                socaltest(1m)
                stexpert(1m) 
                stortools(1m) 
                switchtest(1m)
                t3test(1m)
                
User            Sun StorEdge StorTools User's Guide, Version 4.1
                                

RELATED DOCUMENTATION
=====================
Sun StorEdge A5x00 Array documentation:
    o Sun StorEdge A5x00 User's Guide (806-1946-10)
    o Sun StorEdge A5x00 Release Notes (806-1947-10)
    o Sun StorEdge A5000 Installation and Documenation Guide 
      (805-1903-15)
    o Sun StorEdge A5000 Product Note (805-1018-13)
    o Sun StorEdge A5000 Configuration Guide (805-0264-15)
Sun StorEdge PCI FC-100 Host Adapter documentation:
    o Sun StorEdge PCI FC-100 Host Adapter Installation Manual
      (805-3682-10)
Sun StorEdge SBus FC-100 Host Adapter documentation:
    o Sun StorEdge SBus FC-100 Host Adapter Installation and Service 
      Manual (802-7572-11)
Sun StorEdge PCI Dual Fibre Channel Host Adapter documentation:
    o Sun StorEdge PCI Dual Fibre Channel Host Adapter Product 
      Notes (806-5857-10)
    o Sun StorEdge PCI Dual Fibre Channel Host Adapter Installation
      Guide (806-5600-10)
Sun StorEdge T3 Disk Tray documentation:
	o Sun StorEdge T3 Administration Guide (806-1063-11)
    o Sun StorEdge T3 Disk Tray Cabinet Installation Guide (806-7979-10)
    o Sun StorEdge T3 Disk Tray Site Preparation (806-4212-11)
    o Sun StorEdge T3 Disk Tray Configuration Guide (806-4210-11)
    o Sun StorEdge T3 Disk Tray Release Notes (806-1497-12)
Sun StorEdge A3500/A3500FC documentaion:
    o Sun StorEdge A3500/A3500FC Controller Module Guide (805-4980-11)
    o Sun StorEdge A3500/A3500FC Hardware Configuratoin Guide (805-4981-13)
    o Sun StorEdge A3500/A3500FC Task Map (805-4982-11)
Sun StorEdge RAID Manager 6.22 documentation:
    o Sun StorEdge RAID Manager 6.22 User's Guide (806-0478-10)
    o Sun StorEdge RAID Manager 6.22 Release Notes (806-3721-10)
Sun StorEdge network FC switch-8 and switch-16 documentation:
    o Sun StorEdge FC switch-8 and switch-16 Installation and Config Guide (806-6922-10)
    o Sun StorEdge FC switch-8 and switch-16 Troubleshooting Guide (806-6923-10)
    o Sun StorEdge FC switch-8 and switch-16 Product Notes (806-6924-15)
SunVTS documentation:
    o SunVTS 4.1 User's Guide (806-4985-10)
    o SunVTS 4.1 Test Reference Manual (806-4986-10)
Sun Network Storage Agent documentation:
    o Sun Network Storage Agent 2.1 User's Guide (806-0769-11)
    o Sun Network Storage Agent 2.1 Release Notes (806-7520-11)


QUALIFIED PLATFORMS
===================
You can use the StorTools package on the following platforms and
operating systems:

Sun Architecture     : 4u

Sun Platforms        : U80, E250, E450, UE3500, UE4000, UE4500, UE6000,
                     : UE6500, E10000

Sun StorEdge         : 14 slot (Sun StorEdge A5000 array and Sun 
A5x00 Arrays           StorEdge A5100 array) and 22 slot (Sun StorEdge
                       A5200 array)

Sun StorEdge         : F/W 1.17 or greater Partner Pair          
T3 Disk Trays

FC Switch            : StorEdge Network FC Switch-8 and -16

Operating Systems    : Solaris 8 (Update 2 10/00 minimum)


FEATURES
========
o Support for Sun StorEdge A5x00 Arrays, Sun StorEdge T3 arrays, 
  Internal FC disks FC Tape and Sun StorEdge A3500FC arrays. 

o Support for SBus Serial Optical Channel Plus (SOC+), 
  Sun StorEdge PCI Fibre Channel Network Adapters.

o Support for StorEdge Network FC switches.



ENHANCEMENTS
============
o Support Sun StorEdge SAN release 3.0

o Support for Sun StorEdge Traffic Manager software, which provides
  multipathing (MPxIO).

o Support for FC Tape

o Reduced stexpert islation time to 15 minutes per FC link.

o Increased Fault Coverage

o L10N ready

o I18N ready


PRODUCT HINTS
=============
o You must be superuser to use this package.

o Add "/opt/SUNWvtsst/bin" to your $PATH.

o Verify creation of /etc/fcswitch.conf file when using Sun StorEdge
  network FC switch-8 and switch-16 fibre channel switches. 
 
  NOTE: Only add the local switch in a cascaded configuration to 
  /etc/fcswitch.conf
  If you do add remote switches to the configuration file, psuedo
  switches will be displayed in the GUI.

  NOTE: If the ISL connection between the local and remote switch fails and does
  not have a redundant connection in the same zone, the StorTools 
  switchtest (and StorTools expert) will fail on the remote switch or 
  StorTools will not be able to discover the remote switch.

o StorTools requires Sun StorEdge SAN release 3.0 packages and/or patches
  be installed to run.  

  The current patches required are 109529-06 and 111413-04 or later.

o Mixed storage types are not allowed within the same SL zone.

o Only T3 arrays can be attached to translative loop (TL) switch ports.

o Only T3 arrays can be attached to cascaded switches.

o Start StorTools by typing in:
  /opt/SUNWvtsst/bin/stortools


KNOWN PROBLEMS
==============

o StorTools and SunVTS can not be executed at the same time.



RESOLVED PROBLEMS 
================================================

4498185 t3 fails expert with stress on GUI but passes cli                        
4498201 Switchtest hangs when tx from remote e-port to local e-port is attenua
4488349 Expert indicates wrong suspect FRU when remote e port GBIC is bad.
4491325 Expert incorrectly diagnoses a bad gbic in Mamba config with a3500fc
4494623 Expert does not isolate remote e-port gbic in single ISL config with m
4494951 Functional message log does not tell user to cause failover when in ST
4482359 Receive "Error while Bind - last error code 125" error while running e
4487564 Switchtest fails a pattern a probable cause of failure is not another
4491652 Need to update switchtest callouts when gbic is disconnected from swit
4494543 Need to clear Port Status bits before entering retest.
4494631 Need to remove a step in expert isolation for tape
4495186 switchtest is reporting failure of entire chasis when only a port
4495608 Snapshot diff indicated wrong Physical Group on device that disappeare
4493887 Switchtest message 6009 does not give Recommended action
4425686 Should replace GBICs before replacing fiber in cli Expert.
4488256 Expert can not isolate defective GBIC in E port of remote switch
4492670 STORtools 4.1 generates Segmentation Fault - core dumped messages.
4487567 Expert needs to indicate suspect FRU when Eport GBIC is defective.
4488344 With two ISL links, failure of functional test does not give CLI Exper
4488345 Expert: Instruction 1048 indicates wrong port
4490909 discman -v not picking up config changes
4484347 t3test: user selects nonhex value, gets warning message in window, tes
4485669 Can not enter manual numeric values in StorTools Options sub-menus
4486480 Failure does not tell you to run expert
4487452 a5ktest passes when you unmount file system during test
4489068 Incorrect expert instruction during expert to tape
4489751 running t3test with fiber disconnected failure list needs updating
4492240 Functional test should give user the CxTxDxSx name rather than REGISTE
4492414 Expert does not isolate to directly attached fiber (when bad)
4395061 Request that expert fault isolation condense instructions



UNRESOLVED PROBLEMS
===================

4495578 installation script incorrectly reports missing 109529 patch
4498681 StorTool's switchtest passes when SanSurfer's switchtest fails
4499521 stortools is showing fcdisktest for a fctape device          
4495886 Stortools hangs when running intervention logical test      
4497126 Need to check for entries in /var/adm/messages during stress_test
4498938 Switchtest should fail if any chassis status is not OK          
4497656 Expert has user replace fibre cable, but not re-install it when original
4497834 Need to add a wait for user intervention after rule 1036               
4498682 Expert indicates DISK and DEV-FIBER as suspect FRUs for defective drive
4466721 Lost stortools gui after running overnight, stop tests, hit logs button
4456618 expert t3 errlog contains message indicating NO CHILD EXITING(11)???  
4472025 Add prerequisite patch/package requirements to ReleaseNotes          
4479108 Cli expert hangs when tl port TX cable disconnected                 
4483925 stexpert "Stop" from GUI causes a "terminated" msg on the console  
4494423 Test execution/thresholds in Options should only accept valid numerical
4497235 Suspect list is not cleared with bad gbic in remote e-port with single ISL
4384971 Control C does not work to quit expert when running in cli mode.      
4494536 Expert should test that the fiber has been restored correctly at end of 
4492244 testing a5k pulled fibre @ switch, needs to tell you to run expert     
4496779 Stortools output on qlc identifiers should match whats in /var/adm/mess
4497182 LUN is listed 2 times as a suspect                                    
4497541 t3test gives /var/adm/message.t3 not found with multiple tabs in config.sys
4497881 Probable Causes should be different for remote and local switch LostCommEv
4493084 Identify HBA as first suspect fru when expert fails when testing qlc card
4411958 With multiple enclosures on the same hub, scsibit isolation doesn't work.
4487097 man pages for stortools do not match the XXXtest -h option              
4493206 stexpert does not properly isolate hub configurations                  
4497177 Expert should check for admin when checking port-status of switch.    


 See "KNOWN PROBLEMS"

          
MEDIA CONTENTS
==============
/etc/fcswitch.example
/opt/SUNWvtsst/README
/opt/SUNWvtsst/bin/.customtest
/opt/SUNWvtsst/bin/.customtest_OtherDevices
/opt/SUNWvtsst/bin/.sunvts_sec
/opt/SUNWvtsst/bin/.sunvts_sec_gss
/opt/SUNWvtsst/bin/.version
/opt/SUNWvtsst/bin/a3500fctest
/opt/SUNWvtsst/bin/a5ksestest
/opt/SUNWvtsst/bin/a5ktest
/opt/SUNWvtsst/bin/afb_checksum.data
/opt/SUNWvtsst/bin/afb_texture.im24
/opt/SUNWvtsst/bin/cg6
/opt/SUNWvtsst/bin/check_snapshot
/opt/SUNWvtsst/bin/clear_all_status_bits
/opt/SUNWvtsst/bin/dex
/opt/SUNWvtsst/bin/discman
/opt/SUNWvtsst/bin/dispatcher
/opt/SUNWvtsst/bin/fcdisktest
/opt/SUNWvtsst/bin/fctapetest
/opt/SUNWvtsst/bin/fru_list
/opt/SUNWvtsst/bin/ifptest
/opt/SUNWvtsst/bin/lbf
/opt/SUNWvtsst/bin/lib <symbolic link>
/opt/SUNWvtsst/bin/modules/a35fc_disk
/opt/SUNWvtsst/bin/modules/a5k_disk
/opt/SUNWvtsst/bin/modules/a5k_isolation
/opt/SUNWvtsst/bin/modules/check_device_state
/opt/SUNWvtsst/bin/modules/check_st_init
/opt/SUNWvtsst/bin/modules/clear_path_status_bits
/opt/SUNWvtsst/bin/modules/dex
/opt/SUNWvtsst/bin/modules/fc_disk
/opt/SUNWvtsst/bin/modules/fc_tape
/opt/SUNWvtsst/bin/modules/ifp_core
/opt/SUNWvtsst/bin/modules/is_a5k_device_installed
/opt/SUNWvtsst/bin/modules/is_a5k_device_online
/opt/SUNWvtsst/bin/modules/is_dev_daisy_chained
/opt/SUNWvtsst/bin/modules/is_disk_a3500fc
/opt/SUNWvtsst/bin/modules/is_disk_a5k
/opt/SUNWvtsst/bin/modules/is_disk_fc
/opt/SUNWvtsst/bin/modules/is_disk_t3
/opt/SUNWvtsst/bin/modules/is_eport
/opt/SUNWvtsst/bin/modules/is_hba_ifp
/opt/SUNWvtsst/bin/modules/is_hba_online
/opt/SUNWvtsst/bin/modules/is_hba_qlc
/opt/SUNWvtsst/bin/modules/is_hba_socal
/opt/SUNWvtsst/bin/modules/is_hub_config
/opt/SUNWvtsst/bin/modules/is_switched
/opt/SUNWvtsst/bin/modules/is_tape_fc
/opt/SUNWvtsst/bin/modules/isolate_a5k_by_scsi
/opt/SUNWvtsst/bin/modules/lbf_loop_test
/opt/SUNWvtsst/bin/modules/lw_insert_dev_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_insert_dev_eport_loopback
/opt/SUNWvtsst/bin/modules/lw_insert_dev_fiber
/opt/SUNWvtsst/bin/modules/lw_insert_dport_fiber
/opt/SUNWvtsst/bin/modules/lw_insert_dport_loopback
/opt/SUNWvtsst/bin/modules/lw_insert_hba_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_insert_hba_eport_loopback
/opt/SUNWvtsst/bin/modules/lw_insert_hba_loopback
/opt/SUNWvtsst/bin/modules/lw_insert_iport_fiber
/opt/SUNWvtsst/bin/modules/lw_insert_iport_loopback
/opt/SUNWvtsst/bin/modules/lw_remove_dev_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_remove_dev_eport_loopback
/opt/SUNWvtsst/bin/modules/lw_remove_dport_fiber
/opt/SUNWvtsst/bin/modules/lw_remove_dport_loopback
/opt/SUNWvtsst/bin/modules/lw_remove_hba_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_remove_hba_eport_loopback
/opt/SUNWvtsst/bin/modules/lw_remove_hba_fiber
/opt/SUNWvtsst/bin/modules/lw_remove_hba_loopback
/opt/SUNWvtsst/bin/modules/lw_remove_iport_fiber
/opt/SUNWvtsst/bin/modules/lw_remove_iport_loopback
/opt/SUNWvtsst/bin/modules/lw_replace_dev_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_replace_dev_eport_gbic
/opt/SUNWvtsst/bin/modules/lw_replace_dev_fiber
/opt/SUNWvtsst/bin/modules/lw_replace_dev_gbic
/opt/SUNWvtsst/bin/modules/lw_replace_dev_mia
/opt/SUNWvtsst/bin/modules/lw_replace_device
/opt/SUNWvtsst/bin/modules/lw_replace_dport_fiber
/opt/SUNWvtsst/bin/modules/lw_replace_dport_gbic
/opt/SUNWvtsst/bin/modules/lw_replace_hba_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_replace_hba_eport_gbic
/opt/SUNWvtsst/bin/modules/lw_replace_hba_gbic
/opt/SUNWvtsst/bin/modules/lw_replace_iport_fiber
/opt/SUNWvtsst/bin/modules/lw_replace_iport_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_dev_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_dev_eport_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_dev_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_dev_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_dev_mia
/opt/SUNWvtsst/bin/modules/lw_restore_device
/opt/SUNWvtsst/bin/modules/lw_restore_dport_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_dport_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_hba_eport_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_hba_eport_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_hba_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_hba_gbic
/opt/SUNWvtsst/bin/modules/lw_restore_iport_fiber
/opt/SUNWvtsst/bin/modules/lw_restore_iport_gbic
/opt/SUNWvtsst/bin/modules/lw_retry_test
/opt/SUNWvtsst/bin/modules/qlc_core
/opt/SUNWvtsst/bin/modules/qlc_ext_loop
/opt/SUNWvtsst/bin/modules/qlc_int_loop
/opt/SUNWvtsst/bin/modules/sleep_until_loopback_ready
/opt/SUNWvtsst/bin/modules/socal_core
/opt/SUNWvtsst/bin/modules/socal_ext_loop
/opt/SUNWvtsst/bin/modules/socal_int_loop
/opt/SUNWvtsst/bin/modules/stress_test
/opt/SUNWvtsst/bin/modules/switch_dev_eport
/opt/SUNWvtsst/bin/modules/switch_dport
/opt/SUNWvtsst/bin/modules/switch_hba_eport
/opt/SUNWvtsst/bin/modules/switch_iport
/opt/SUNWvtsst/bin/modules/t3_disk
/opt/SUNWvtsst/bin/modules/wait_4_loop_ready
/opt/SUNWvtsst/bin/modules/wr_dev_buffer_test
/opt/SUNWvtsst/bin/pm/compare_ss.arm.pm
/opt/SUNWvtsst/bin/pm/compare_ss.gray.pm
/opt/SUNWvtsst/bin/pm/compare_ss.pm
/opt/SUNWvtsst/bin/pm/create_ss.arm.pm
/opt/SUNWvtsst/bin/pm/create_ss.gray.pm
/opt/SUNWvtsst/bin/pm/create_ss.pm
/opt/SUNWvtsst/bin/pm/exit.arm.pm
/opt/SUNWvtsst/bin/pm/exit.pm
/opt/SUNWvtsst/bin/pm/fail_icon.l.bm
/opt/SUNWvtsst/bin/pm/fail_icon.l.pm
/opt/SUNWvtsst/bin/pm/host.arm.pm
/opt/SUNWvtsst/bin/pm/host.gray.pm
/opt/SUNWvtsst/bin/pm/host.pm
/opt/SUNWvtsst/bin/pm/log.arm.pm
/opt/SUNWvtsst/bin/pm/log.gray.pm
/opt/SUNWvtsst/bin/pm/log.pm
/opt/SUNWvtsst/bin/pm/pass_icon.l.bm
/opt/SUNWvtsst/bin/pm/pass_icon.l.pm
/opt/SUNWvtsst/bin/pm/perf.arm.pm
/opt/SUNWvtsst/bin/pm/perf.gray.pm
/opt/SUNWvtsst/bin/pm/perf.pm
/opt/SUNWvtsst/bin/pm/reset.arm.pm
/opt/SUNWvtsst/bin/pm/reset.gray.pm
/opt/SUNWvtsst/bin/pm/reset.pm
/opt/SUNWvtsst/bin/pm/start.arm.pm
/opt/SUNWvtsst/bin/pm/start.gray.pm
/opt/SUNWvtsst/bin/pm/start.pm
/opt/SUNWvtsst/bin/pm/stop.arm.pm
/opt/SUNWvtsst/bin/pm/stop.gray.pm
/opt/SUNWvtsst/bin/pm/stop.pm
/opt/SUNWvtsst/bin/qlctest
/opt/SUNWvtsst/bin/socaltest
/opt/SUNWvtsst/bin/sparcv9/.customtest
/opt/SUNWvtsst/bin/sparcv9/.customtest_OtherDevices
/opt/SUNWvtsst/bin/sparcv9/.sunvts_sec <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/.sunvts_sec_gss <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/.version <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/a3500fctest
/opt/SUNWvtsst/bin/sparcv9/a5ksestest
/opt/SUNWvtsst/bin/sparcv9/a5ktest
/opt/SUNWvtsst/bin/sparcv9/cg6 <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/check_snapshot
/opt/SUNWvtsst/bin/sparcv9/clear_all_status_bits
/opt/SUNWvtsst/bin/sparcv9/discman
/opt/SUNWvtsst/bin/sparcv9/dispatcher
/opt/SUNWvtsst/bin/sparcv9/fcdisktest
/opt/SUNWvtsst/bin/sparcv9/fctapetest
/opt/SUNWvtsst/bin/sparcv9/fru_list <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/ifptest
/opt/SUNWvtsst/bin/sparcv9/modules/a35fc_disk
/opt/SUNWvtsst/bin/sparcv9/modules/a5k_disk
/opt/SUNWvtsst/bin/sparcv9/modules/a5k_isolation
/opt/SUNWvtsst/bin/sparcv9/modules/check_device_state
/opt/SUNWvtsst/bin/sparcv9/modules/check_st_init
/opt/SUNWvtsst/bin/sparcv9/modules/clear_path_status_bits
/opt/SUNWvtsst/bin/sparcv9/modules/dex
/opt/SUNWvtsst/bin/sparcv9/modules/fc_disk
/opt/SUNWvtsst/bin/sparcv9/modules/fc_tape
/opt/SUNWvtsst/bin/sparcv9/modules/ifp_core
/opt/SUNWvtsst/bin/sparcv9/modules/is_a5k_device_installed
/opt/SUNWvtsst/bin/sparcv9/modules/is_a5k_device_online
/opt/SUNWvtsst/bin/sparcv9/modules/is_dev_daisy_chained
/opt/SUNWvtsst/bin/sparcv9/modules/is_disk_a3500fc
/opt/SUNWvtsst/bin/sparcv9/modules/is_disk_a5k
/opt/SUNWvtsst/bin/sparcv9/modules/is_disk_fc
/opt/SUNWvtsst/bin/sparcv9/modules/is_disk_t3
/opt/SUNWvtsst/bin/sparcv9/modules/is_eport
/opt/SUNWvtsst/bin/sparcv9/modules/is_hba_ifp
/opt/SUNWvtsst/bin/sparcv9/modules/is_hba_online
/opt/SUNWvtsst/bin/sparcv9/modules/is_hba_qlc
/opt/SUNWvtsst/bin/sparcv9/modules/is_hba_socal
/opt/SUNWvtsst/bin/sparcv9/modules/is_hub_config
/opt/SUNWvtsst/bin/sparcv9/modules/is_switched
/opt/SUNWvtsst/bin/sparcv9/modules/is_tape_fc
/opt/SUNWvtsst/bin/sparcv9/modules/isolate_a5k_by_scsi
/opt/SUNWvtsst/bin/sparcv9/modules/lbf_loop_test
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_dev_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_dev_eport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_dev_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_dport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_dport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_hba_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_hba_eport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_hba_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_iport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_insert_iport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_dev_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_dev_eport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_dport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_dport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_hba_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_hba_eport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_hba_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_hba_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_iport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_remove_iport_loopback
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dev_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dev_eport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dev_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dev_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dev_mia
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_device
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_dport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_hba_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_hba_eport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_hba_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_iport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_replace_iport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dev_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dev_eport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dev_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dev_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dev_mia
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_device
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_dport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_hba_eport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_hba_eport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_hba_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_hba_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_iport_fiber
/opt/SUNWvtsst/bin/sparcv9/modules/lw_restore_iport_gbic
/opt/SUNWvtsst/bin/sparcv9/modules/lw_retry_test
/opt/SUNWvtsst/bin/sparcv9/modules/qlc_core
/opt/SUNWvtsst/bin/sparcv9/modules/qlc_ext_loop
/opt/SUNWvtsst/bin/sparcv9/modules/qlc_int_loop
/opt/SUNWvtsst/bin/sparcv9/modules/sleep_until_loopback_ready
/opt/SUNWvtsst/bin/sparcv9/modules/socal_core
/opt/SUNWvtsst/bin/sparcv9/modules/socal_ext_loop
/opt/SUNWvtsst/bin/sparcv9/modules/socal_int_loop
/opt/SUNWvtsst/bin/sparcv9/modules/stress_test
/opt/SUNWvtsst/bin/sparcv9/modules/switch_dev_eport
/opt/SUNWvtsst/bin/sparcv9/modules/switch_dport
/opt/SUNWvtsst/bin/sparcv9/modules/switch_hba_eport
/opt/SUNWvtsst/bin/sparcv9/modules/switch_iport
/opt/SUNWvtsst/bin/sparcv9/modules/t3_disk
/opt/SUNWvtsst/bin/sparcv9/modules/wait_4_loop_ready
/opt/SUNWvtsst/bin/sparcv9/modules/wr_dev_buffer_test
/opt/SUNWvtsst/bin/sparcv9/qlctest
/opt/SUNWvtsst/bin/sparcv9/socaltest
/opt/SUNWvtsst/bin/sparcv9/stdiscover
/opt/SUNWvtsst/bin/sparcv9/stexpert
/opt/SUNWvtsst/bin/sparcv9/stexpert.rb
/opt/SUNWvtsst/bin/sparcv9/stexpert.td
/opt/SUNWvtsst/bin/sparcv9/sunlink <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/switchtest
/opt/SUNWvtsst/bin/sparcv9/t3test
/opt/SUNWvtsst/bin/sparcv9/take_snapshot
/opt/SUNWvtsst/bin/sparcv9/vts_cmd <symbolic link>
/opt/SUNWvtsst/bin/sparcv9/vtsinfo.a
/opt/SUNWvtsst/bin/sparcv9/vtsinfo.so
/opt/SUNWvtsst/bin/sparcv9/vtsk
/opt/SUNWvtsst/bin/stdiscover
/opt/SUNWvtsst/bin/stexpert
/opt/SUNWvtsst/bin/stexpert.rb
/opt/SUNWvtsst/bin/stexpert.td
/opt/SUNWvtsst/bin/stortools
/opt/SUNWvtsst/bin/sunlink
/opt/SUNWvtsst/bin/switchtest
/opt/SUNWvtsst/bin/t3test
/opt/SUNWvtsst/bin/take_snapshot
/opt/SUNWvtsst/bin/test_name
/opt/SUNWvtsst/bin/testadd
/opt/SUNWvtsst/bin/testrm
/opt/SUNWvtsst/bin/vts_cmd
/opt/SUNWvtsst/bin/vtsinfo.a
/opt/SUNWvtsst/bin/vtsinfo.so
/opt/SUNWvtsst/bin/vtsk
/opt/SUNWvtsst/bin/vtsprobe
/opt/SUNWvtsst/bin/vtstty
/opt/SUNWvtsst/bin/vtsui
/opt/SUNWvtsst/docs/ReleaseNotes
/opt/SUNWvtsst/docs/StorTools.pdf
/opt/SUNWvtsst/lib/Vtsui
/opt/SUNWvtsst/lib/cfd/configd4u1
/opt/SUNWvtsst/lib/cfd/configdWG
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/a3500fctest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/a5ksestest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/a5ktest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/discman.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/fcdisktest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/fctapetest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/ifptest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/libtest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/libutil.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/probeutil.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/qlctest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/socaltest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/stexpert.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/sunlink.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/switchtest.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/t3test.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/vtsk.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/vtstty.help
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/vtstty.msg
/opt/SUNWvtsst/lib/locale/C/LC_MESSAGES/vtsui.msg
/opt/SUNWvtsst/lib/vts_configd.ksh
/opt/SUNWvtsst/man/man1m/a3500fctest.1m
/opt/SUNWvtsst/man/man1m/a5ksestest.1m
/opt/SUNWvtsst/man/man1m/a5ktest.1m
/opt/SUNWvtsst/man/man1m/dex.1m
/opt/SUNWvtsst/man/man1m/discman.1m
/opt/SUNWvtsst/man/man1m/fcdisktest.1m
/opt/SUNWvtsst/man/man1m/fctapetest.1m
/opt/SUNWvtsst/man/man1m/ifptest.1m
/opt/SUNWvtsst/man/man1m/lbf.1m
/opt/SUNWvtsst/man/man1m/qlctest.1m
/opt/SUNWvtsst/man/man1m/socaltest.1m
/opt/SUNWvtsst/man/man1m/stexpert.1m
/opt/SUNWvtsst/man/man1m/stortools.1m
/opt/SUNWvtsst/man/man1m/switchtest.1m
/opt/SUNWvtsst/man/man1m/t3test.1m
/usr/lib/libexptools.so
/usr/lib/libfcald.so
/usr/lib/libsanbox.so
/usr/lib/libtools.so
/usr/lib/libtools2.so
/usr/lib/sparcv9/libexptools.so
/usr/lib/sparcv9/libfcald.so
/usr/lib/sparcv9/libsanbox.so
/usr/lib/sparcv9/libtools.so
/usr/lib/sparcv9/libtools2.so
/var/opt/SUNWvtsst/logs/config.txt
